function [vzdalenosti,shluky,spravnost]=priznak_median_vsechny(obr_med,pocet_linii,polohy_linie)
%% Varianta vypoctu vsech metod pro priznak Median linii jako 1D signal
prumer_pixel=[];
% Vytvoreni matice priznaku
for linie=1:pocet_linii
        prumer_pixel(linie,:)=obr_med(:,polohy_linie(linie)+1);
end
% Ulozeni vsech variant vzdalenosti a shlukovani
vzdalenosti={'euclidean',
            'cityblock',
            'minkowski',
            'chebychev',
            'cosine',
            'correlation',
            'spearman',
            'hamming',
            'jaccard'};
shluky={'average',
        'centroid',
        'complete',
        'median',
        'single',
        'ward',
        'weighted'};

spravnost=[];
% Vypocet vsech kombinaci vzdalenosti a shlukovani
for a=1:length(vzdalenosti)
    for b=1:length(shluky)
        vzdalenost=pdist(prumer_pixel,vzdalenosti{a});
        shluk=linkage(vzdalenost,shluky{b});
        pocet_shluku=size(shluk);
        spravnost(a,b)=mean(shluk((pocet_shluku(1)-2):(pocet_shluku(1)-1),3))/max(shluk(pocet_shluku(1),3));

    end
end


